Bug 487791 - Review Request: knemo - KDE4 network monitoring tool
Review Request: knemo - KDE4 network monitoring tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
http://www.kde-apps.org/content/show....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 16:34 EST by nucleo
Modified: 2012-12-04 18:40 EST (History)
9 users (show)

See Also:
Fixed In Version: 0.5.1-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 14:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tuxbrewr: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Spec file for knemo-0.5.0 kackage (3.29 KB, text/plain)
2009-02-27 16:34 EST, nucleo
no flags Details
Spec file for knemo-0.5.1 rpm (3.94 KB, text/plain)
2009-03-11 15:17 EDT, nucleo
no flags Details

  None (edit)
Description nucleo 2009-02-27 16:34:56 EST
Created attachment 333545 [details]
Spec file for knemo-0.5.0 kackage

Description of problem:
knemo package marked as dead in Fedora 10 because of knemo-0.4.7 is a KDE 3 service and KDE 3 KControl module.
knemo-0.5.0 for KDE4 released and works in Fedora 10.
http://www.kde-apps.org/content/show.php/KNemo?content=12956


Additional info:
I build knemo for i386.
In attachment my knemo.spec.
Comment 1 Vince Schiavoni 2009-02-27 16:47:20 EST
I second the motion.

Reference: http://forums.fedoraforum.org/showthread.php?t=214669

Thanks,
VJS
Comment 2 nucleo 2009-03-11 15:17:16 EDT
Created attachment 334851 [details]
Spec file for knemo-0.5.1 rpm
Comment 3 Jason Tibbitts 2009-03-11 17:58:26 EDT
If you would like this treated as a package review, please follow the instructions at http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 4 nucleo 2009-03-16 13:52:57 EDT
Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/knemo/knemo.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/knemo/knemo-0.5.1-4.fc10.src.rpm

Description: KDE4 network monitoring tool
Comment 5 Steven M. Parrish 2009-03-16 14:36:03 EDT
A few quick notes

in the %install and %clean sections replace

rm -rf %{buildroot}

with

rm -rf $RPM_BUILD_ROOT

as it is the more prefered way of doing things


also

make install DESTDIR=%{buildroot} -C %{_target_platform}

should be

make install DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

and

desktop-file-install --vendor "" \
    --dir %{buildroot}%{_datadir}/applications/kde4 \
    --remove-key=Path \
    %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

should be

desktop-file-install --vendor "" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
    --remove-key=Path \
    $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop


This just helps keep all packages consistent

Steven
Comment 6 Itamar Reis Peixoto 2009-03-16 14:47:33 EDT
(In reply to comment #5)

you can use one %{buildroot} or other $RPM_BUILD_ROOT style

please look

https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

all styles will be accepted,
Comment 7 manuel wolfshant 2009-03-16 14:52:40 EDT
(In reply to comment #5)
Steven, there is absolutely no need to use ${RPM_BUILD_ROOT} instead of %{buildroot}. The only requirement ( enforced by fedora, and not for a technical but for a mere cosmetic reason ) is to use only one set of macros in all the spec. nucleo does that, so there is absolutely no problem from this point of view.
See https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS for details.


What could be changed is  '--vendor ""' which is not needed in fedora (but IS required if the same spec is to be used for RHEL - the older desktop-file-install barfs if there exists no vendor field)
Comment 8 Steven M. Parrish 2009-03-16 14:58:05 EDT
Yes I know either is valid, however our KDE packages use $RPM_BUILD_ROOT so was just trying to keep things consistent among our packages, just as I said in my previous comment.

Steven
Comment 9 Steven M. Parrish 2009-03-16 14:58:48 EDT
Just installed this for testing on my system and got the following

kdeinit4: preparing to launch /usr/bin/kbuildsycoca4
No protocol specified
kbuildsycoca4 running...
kbuildsycoca4(18327)/kdecore (KService) KServicePrivate::init: The desktop entry file  "/usr/share/applications/kde/koffice.desktop"  has Type= "Application" but no Exec line

kbuildsycoca4(18327)/kdecore (KService) KBuildServiceFactory::createEntry: Invalid Service :  "/usr/share/applications/kde/koffice.desktop"
Comment 10 nucleo 2009-03-16 15:19:53 EDT
Updated knemo.spec on the same links as in comment #4


(In reply to comment #9)
> Just installed this for testing on my system and got the following
> 
> kdeinit4: preparing to launch /usr/bin/kbuildsycoca4
> No protocol specified
> kbuildsycoca4 running...
> kbuildsycoca4(18327)/kdecore (KService) KServicePrivate::init: The desktop
> entry file  "/usr/share/applications/kde/koffice.desktop"  has Type=
> "Application" but no Exec line
> 
> kbuildsycoca4(18327)/kdecore (KService) KBuildServiceFactory::createEntry:
> Invalid Service :  "/usr/share/applications/kde/koffice.desktop"  

Is knemo leads to this?
Comment 11 Steven M. Parrish 2009-03-16 15:32:47 EDT
It happened when I installed knemo, but looks like a koffice issue.  Sorry
Comment 12 Itamar Reis Peixoto 2009-03-16 15:45:04 EDT
(In reply to comment #0)

Do you have plans's to maintain it for F-10 ?

Do you have more packages to submit for review ?

I will take a look in your changes tonight.
Comment 13 nucleo 2009-03-16 15:59:18 EDT
(In reply to comment #12)
> Do you have plans's to maintain it for F-10 ?

I will try to maintain knemo in F-10. It my first package.
 
> Do you have more packages to submit for review ?

Yes I have some packages for example emulators dynamips, dynagen and GNS3 but they are should be improved.
Comment 14 Steven M. Parrish 2009-03-16 16:21:20 EDT
nucleo once you are ready for an official package review please follow the instructions noted in comment https://bugzilla.redhat.com/show_bug.cgi?id=487791#c3
Comment 15 Itamar Reis Peixoto 2009-03-16 16:43:25 EDT
(In reply to comment #14)
> nucleo once you are ready for an official package review please follow the
> instructions noted in comment
> https://bugzilla.redhat.com/show_bug.cgi?id=487791#c3  

him already have a sponsored fedora account.

what you think about grabbing it in pkgdb ?

https://admin.fedoraproject.org/pkgdb/packages/name/knemo

it' doesn't need to be reviewed again

we need only to discover the initial review request and ask for F-10 cvs branch
Comment 16 Steven M. Parrish 2009-03-16 17:18:50 EDT
(In reply to comment #15)
> (In reply to comment #14)
> > nucleo once you are ready for an official package review please follow the
> > instructions noted in comment
> > https://bugzilla.redhat.com/show_bug.cgi?id=487791#c3  
> 
> him already have a sponsored fedora account.
> 
> what you think about grabbing it in pkgdb ?
> 
> https://admin.fedoraproject.org/pkgdb/packages/name/knemo
> 
> it' doesn't need to be reviewed again
> 
> we need only to discover the initial review request and ask for F-10 cvs branch  

As this is a KDE package and the nucleo is a new contributor, ie: it is his 1st package I was asked to take a look at this and help with reviewing this.  Your sarcasm and comments are not required or welcome.

And as noted in https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers

Old becomes new
If a package was last updated more than three months ago (running cvs log -r HEAD *.spec can show you this information), you will need to submit a review request and have the package approved by a reviewer as if it were new to Fedora. See the package review process for more information.
Comment 17 nucleo 2009-03-16 18:05:06 EDT
(In reply to comment #14)
I follow instructions from comment #3 link.

I create bugzilla account, join to fedora-devel-announce@redhat.com,
make and upload knemo package, change component in bz#487791 to Package Review,
get fedora account, perform successful scratch build of knemo
http://koji.fedoraproject.org/koji/taskinfo?taskID=1244882
and wait when package will be APPROVED.

What I should do now?
Comment 18 Vince Schiavoni 2009-03-16 18:17:29 EDT
(In reply to comment #4)
> Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/knemo/knemo.spec
> SRPM URL:
> http://nucleo.fedorapeople.org/pkg-reviews/knemo/knemo-0.5.1-4.fc10.src.rpm
> 
> Description: KDE4 network monitoring tool  

For info: knemo-0.5.1-4.fc10.src.rpm rebuilt on F10
2.6.27.19-170.2.35.fc10.i686; no errors nor warnings of any kind noted; updated
(from knemo-0.5.1-1.fc10.i386) OK; "Statistics" and "Traffic Plotter" window
positions and sizes preserved intact. :-)

Looks good here. Thanks, nucleo....

Regards,
VJS
Comment 19 Steven M. Parrish 2009-03-16 19:38:23 EDT
Nucleo,  package is APPROVED for re-inclusion in Fedora F10+.  Please follow the guidelines at https://fedoraproject.org/wiki/CVS_admin_requests for requesting an F10 branch be added to CVS.  You will also need to ask itamarjp to release ownership of the devel branch.
Comment 20 Rex Dieter 2009-03-16 19:53:17 EDT
Since there's interest, I'd suggest both nucleo and itamarjp comaintain this together (more the merrier!).  Is that agreeable to each of you?

In the meantime, as nucleo's sponsor, I'll add myself to be CC'd here, so I can watch, guide, mentor, and all that good sponsor-type stuff.
Comment 21 Rex Dieter 2009-03-16 19:57:16 EDT
and a reminder, make sure to include F-10 branch in the cvsadmin request (per comment #19), and please CC: me (rdieter) in said request.  thanks.
Comment 22 nucleo 2009-03-16 20:41:12 EDT
(In reply to comment #20)
Rdieter , thanks for your help.
Initially last maintainer of knemo was faucamp when I create #487791.

In comment #12 itamarjp asked me about maintaining.
So as I want to try to maintain knemo I ask itamarjp
to release ownership of the devel branch.
Comment 23 nucleo 2009-03-16 20:45:32 EDT
New Package CVS Request
=======================
Package Name: knemo
Short Description: KDE4 network monitoring tool
Owners: nucleo
Branches: F-10
InitialCC: rdieter
Comment 24 Itamar Reis Peixoto 2009-03-16 23:24:59 EDT
It's not a new package, please add only missing F-10 branch.


Package Change Request
======================
Package Name: knemo
New Branches:  F-10
Owners: nucleo rdieter itamarjp
Comment 25 Kevin Fenzi 2009-03-17 01:15:38 EDT
cvs done.
Comment 26 nucleo 2009-03-17 06:32:08 EDT
(In reply to comment #24)
So I can't commit any changes to the devel branch?
cvs commit...
**** Access denied: nucleo is not in ACL for rpms/knemo/devel

(In reply to comment #25)
When I run make build for F-10 I get:
FAILED: BuildError: package knemo is blocked for tag dist-f10-updates-candidate
http://koji.fedoraproject.org/koji/taskinfo?taskID=1245742
Comment 27 Steven M. Parrish 2009-03-17 08:43:34 EDT
Nucleo, you need to go to https://admin.fedoraproject.org/pkgdb/packages/name/knemo   login with your fas username and request the ACLs for the F9 and devel branches.  You want to request all 4 as the commaintainer.
Comment 28 Itamar Reis Peixoto 2009-03-17 08:50:33 EDT
(In reply to comment #26)
(In reply to comment #27)


please hold, the ACLS are ok, but the package for F-10 is locked unlock requested at -> 

https://fedorahosted.org/rel-eng/ticket/1386
Comment 29 Itamar Reis Peixoto 2009-03-17 08:55:08 EDT
ticket 1386 closed as fixed in rel-eng, please try to build again within 1 hour and if not work post a message

it's possible to build for devel and F-9 too ?
Comment 30 nucleo 2009-03-17 09:42:00 EDT
(In reply to comment #27)
Thanks. I request the ACLs for the F9 and devel branches.

(In reply to comment #29)
Builds for F-10 and devel are successful 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1245912
http://koji.fedoraproject.org/koji/taskinfo?taskID=1245962

But build for F-9 with error:
BuildError: package knemo is blocked for tag dist-f9-updates-candidate
http://koji.fedoraproject.org/koji/taskinfo?taskID=1245980
Comment 31 nucleo 2009-03-17 09:55:25 EDT
(In reply to comment #30)
I have problem with devel build,
http://koji.fedoraproject.org/koji/taskinfo?taskID=1245962
this build without my commit.
With commit I have problem when I run make tag:
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1
Comment 33 Fedora Update System 2009-03-17 11:23:47 EDT
knemo-0.5.1-4.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/knemo-0.5.1-4.fc10.1
Comment 34 Fedora Update System 2009-03-17 11:25:23 EDT
knemo-0.5.1-4.fc9.1 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/knemo-0.5.1-4.fc9.1
Comment 35 Fedora Update System 2009-03-17 12:54:54 EDT
knemo-0.5.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/knemo-0.5.1-5.fc10
Comment 36 Fedora Update System 2009-03-17 13:00:04 EDT
knemo-0.5.1-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/knemo-0.5.1-5.fc9
Comment 37 Fedora Update System 2009-03-18 14:59:38 EDT
knemo-0.5.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2009-03-18 15:16:45 EDT
knemo-0.5.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 39 nucleo 2009-03-31 02:39:31 EDT
Package Change Request
======================
Package Name: knemo
New Branches:  F-11
Owners: nucleo rdieter itamarjp
Comment 40 Itamar Reis Peixoto 2009-03-31 08:03:08 EDT
F-11 branch is the current devel

after F-11 released the devel branch automatically becomes F-11

no need to ask for F-11 branch
Comment 41 nucleo 2009-03-31 08:17:01 EDT
(In reply to comment #40)
> F-11 branch is the current devel
> 
> after F-11 released the devel branch automatically becomes F-11
> 
> no need to ask for F-11 branch  

Thank you.
I wrongly understood Jesse Keating mail
https://www.redhat.com/archives/fedora-devel-announce/2009-March/msg00021.html
Comment 42 nucleo 2011-07-12 15:33:18 EDT
Package Change Request
======================
Package Name: knemo
New Branches: el6
Owners: nucleo
Comment 43 Gwyn Ciesla 2011-07-12 23:14:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.